<template>
    <div class="container mx-auto mt-10 mb-10">
        <div class="grid grid-flow-row">
            <table-list :headers="this.headers" :data="this.usersList"></table-list>
        </div>
    </div>
</template>
<script>
    import {mapActions, mapGetters} from "vuex";

    export default {
        data () {
            return {
                headers: [
                    {'key': 'first_name', 'label': 'First Name'},
                    {'key': 'last_name', 'label': 'Last Name'},
                    {'key': 'email', 'label': 'Email'}
                ],
            }
        },
        computed: mapGetters(["usersList"]),
        methods: {
            ...mapActions(["fetchUsers"]),
        },
        created() {
            this.fetchUsers()
        }
    }
</script>
